2
votes
2answers
23 views

SSH pipe broke while running apt upgrade. What can I do about it?

I was connected to my aws debian wheezy server and while running apt-get upgrade the ssh pipe broke. I didn't use screen or anything, so I don't think there's a way to recover that session. If I ...
1
vote
0answers
59 views

No audio on Debian “jessie” / KDE install [on hold]

I've completed a fresh Debian jessie / KDE install on a Chromebook via crouton, but I have one problem: I can't get the sound to work. How can I fix this issue? I'm running the chroot from an SD ...
-1
votes
0answers
12 views

How can I made a Debian ports like repo?

Is there a way to have only a debian folder and build the package (downloading and unpacking the sources) automatic? I've seen uscan but it scans for new packages, it doesn't allow to have a fixed ...
0
votes
1answer
48 views

cannot install locales in Debian 7 due to unmet dependencies

So instead of including the wheezy-backport in my sources.list I had the bright idea of adding jessie directly. Realising my mistake I cut out of and apt-get update/upgrade midway through and then ...
3
votes
2answers
479 views

apt-get returns strange error

I am on kali linux and when I run apt-get update it returns this: W: Unknown flag value: yes W: You may want to run apt-get update to correct these problems after running apt-get update several ...
1
vote
1answer
43 views

Why is apt-get trying to remove certain packages when I install wine?

I'm trying to install wine, which is software for running Windows applications. When I do sudo apt-get install wine, apt-get warns me that some packages are being removed. Why would apt-get remove ...
0
votes
1answer
16 views

how to get info. about different versions of a binary package which are not in /etc/apt/sources.list?

I am running Debian testing/jessie with a few packages (I can count on my fingers) from unstable/sid and a couple from experimental (browsers). As asked by Faheem, here's the output of apt-cache ...
9
votes
3answers
418 views

Debian Netinst - why apt is downloading Libre Office when I'm installing Gnome?

I have Debian. I was installing it from netinst to save disk space and network transfer (small partition, UMTS connection). I decided to install Gnome. When I typed: apt-get install gnome it ...
-1
votes
0answers
34 views

“Could not get updates: Failed to process request.”

I get this error on Debian Wheezy when I try to install automatic updates: Could not get updates Failed to process request. More details E: Error http://security.debian.org/ wheezy/updates/main ...
2
votes
1answer
45 views

How to find files that are not owned by any package?

In my system I have files that not belong to any package, they are mine or from compiled programs installed with make install. How can I find all files that do not belong to any package?
0
votes
1answer
40 views

apt-get update: How to check for GPG errors when using scripts?

When running. sudo apt-get update For example something like this could happen. W: GPG error: http://deb.torproject.org wheezy Release: The following signatures were invalid: KEYEXPIRED 1409325681 ...
0
votes
1answer
44 views

wheezy not accepting commands

I have debian Wheezy on an independent Dell amd64 how do I get to accept commands to install a virtual box? here's what I put in terminal (also tried in root terminal): $ vi ...
1
vote
0answers
54 views

Fix the debian default version to wheezy

I followed this tutorial http://kemitix.postach.io/install-viber-on-debian-wheezy to install viber on debian wheezy 7.6. My problem is about the part that says: Fix the default version to wheezy. ...
1
vote
1answer
40 views

installing libsocket-perl, apt-get searches for wrong filename extension, gets 404

I've been having trouble installing a package for a number of days now and can't find the solution anywhere, though I have been able to figure out more exactly what's going wrong. It appears that ...
2
votes
3answers
47 views

How to find the packages that depend on a certain package in apt?

How can I get, not the dependencies of a package, but the packages that are depending on a certain package? I'm on debian 6.0 Squeeze-LTS (the first-time extension to squeeze for long term support!) ...
3
votes
1answer
71 views

How to convince APT that a cross-arch package is installed manually?

I have a qemu-armhf chroot environment on an amd64 machine (it's mainly for compiling Raspberry Pi code). As such it can run both armhf and amd64 binaries but it's faster doing the latter. There are ...
2
votes
1answer
270 views

Installing Steam on Debian Wheezy

I downloaded the .deb file from the Steam website, but couldn't install it as it complained about having and "outdated" version of libc6. I look around and apparently I have to add jessie sources to ...
4
votes
1answer
42 views

How to find Debian packages that would free up the most space

Say I have a Debian machine where I would like to free up space on '/' by removing useless packages. To find good candidates of packages to review, I would like to focus my attention on the largest ...
4
votes
2answers
101 views

How to prevent prompt that ask to restart services when installing libpq-dev

I want to install libpq-dev on my Vagrant machine. I install it with $ apt-get install -y libpq-dev During installation a prompt appears which asks if it's allowed to restart some services ...
1
vote
2answers
149 views

Fix dependencies without updating package?

I updated my Debian installation at home and it updated chromium to the (IMO) awfull 35.0 version. I removed it by using apt-get remove chromium and apt-get autoremove. I went here and grabbed the ...
1
vote
0answers
162 views

Installing mysql-workbench from the testing ppa (Jessie) in Wheezy

I would like to install some packages from the testing branch without switching to it if possible. The big packages are things like xfce4 and mysql-workbench. I've done this by making a testing.list ...
0
votes
0answers
30 views

Debian system: install specific packages from source automatically to boost the performance

On Debian /Ubuntu systems, how to set a list of packages which can be installed from sources automatically by apt-get or aptitude? The server is mainly for scientific computing and I would like to ...
1
vote
1answer
69 views

How do I make apt pick a certain package from a specific source?

I tried pinning the debian_testing source, but it's not really working (I want to pick version 0.10.29): Package: nodejs Pin: release a=debian_testing Pin-Priority: 1000 Here's the apt-cache ...
1
vote
2answers
65 views

can I get a list of the debian packages I installed AFTER the OS installation?

Extending this question, I would like to ask, if there is a general term that groups all the packages that I have installed POST debian installation? Mind you that for clarity purposes, I refer to ...
2
votes
2answers
263 views

Installing python gives dpkg error

Installing python gives a dpkg error. I have done these commands, output below $ sudo apt-get install python3.4 $ sudo dpkg -C $ sudo apt-get check $ apt-cache policy libglib2.0-dev $ sudo ...
2
votes
0answers
166 views

Crunchbang/Debian apt-preferences

So I did manage to set up apt-preferences but I'm not sure if I did it correctly. So basically what I want is, if I have the need I want to install packages from TESTING, UNSTABLE and DEB-MULTIMEDIA ...
0
votes
1answer
57 views

How to remove unmet dependecies Debian 7 Wheezy

I'm trying to install different packages but it's showing unmet dependencies in most of them even after sudo apt-get -f install. Below is my /etc/apt/sources.list file: # # deb-src cdrom:[Debian ...
0
votes
1answer
341 views

Unable to install a package, newer libc6 required

I was trying to install openvasv6 using instructions given here. I am using Debian Wheezy (amd64). $ sudo apt-get -y install greenbone-security-assistant openvas-cli openvas-manager openvas-scanner ...
4
votes
1answer
45 views

Issue installing OpenVPN via apt

Pastebin I wanted to install OpenVPN on my Debian Wheezy server at home, so I could create a tunnel with my phone or tablet from outside my home. We use OpenVPN at work, so I figured it would be easy ...
1
vote
1answer
82 views

Installing courier-mta causes sendmail to be installed instead

My Debian workstation will not install courier-mta. The command aptitude install courier-mta appears to complete without error, but actually installs sendmail instead. What I did I'll start without ...
1
vote
1answer
93 views

How to verify that package-installed files match originals?

Let's say I have an installed, working and up-to-date system, and want to verify that all package-installed files on it are the same as those packaged by the respective package maintainer. In effect, ...
1
vote
3answers
90 views

To which Debian package does /etc/nsswitch.conf belong?

I tried to find out to which package /etc/nsswitch.conf belongs on my Debian machine, but dpkg --search /etc/nsswitch.conf won't tell me. Does anyone know?
2
votes
2answers
200 views

dpkg won't install package with dependencies that have newer version

Please someone explain to me this, because it makes no sense: $ dpkg -i freeling-3.1-quantal-x86_64.deb Selecting previously unselected package freeling. (Reading database ... 283003 files and ...
3
votes
4answers
835 views

Automatically update GCC to a later release without upgrading distribution

My understanding is that C++11 support in G++ 4.7.2 wasn't great (it gives me a warning everytime I try to compile my C++ code, presumably there are good reasons for these warnings), so thought I ...
1
vote
1answer
41 views

apt and aptitude died after dist-upgrade

I followed the Debian Instructions for upgrading from Squeeze to Wheezy in Debian. I audited my packages, updated my /etc/apt/sources.list file to get Wheezy sources, I ran apt-get update and apt-get ...
0
votes
1answer
245 views

Clang with Code::Blocks on Debian Wheezy [Stable]

In my pretty default Debian install: devsys@zotac:~$ lsb_release -a No LSB modules are available. Distributor ID: Debian Description: Debian GNU/Linux 7.4 (wheezy) Release: 7.4 Codename: ...
5
votes
1answer
91 views

How can I see when package has been upgraded?

Is there a way to see the upgrade history with date with some program e.g. apt? I want to know when exactly I upgraded security relevant packages the last time and the time before that... Thanks a ...
4
votes
3answers
2k views

How can I upgrade MySQL in Debian using apt-get?

I'm using the Turnkey Linux virtual machine. The version of Debian in there is apparently on the "Wheezy" upgrade path (if that's what you call it). I'm not completely comfortable with Linux, as you ...
3
votes
1answer
420 views

apt-get doesn't upgrade openssl on debian 7

I'm facing the following problem. If I run the command sudo apt-get upgrade, I get: Reading package lists... Done Building dependency tree Reading state information... Done The following ...
3
votes
1answer
403 views

apt python error prevents me from resolving dependency problems for apt-get install

On Debian 6 servers dependency issues are preventing me from installing nis (or any package). When I try to resolve that issue I get a python error. How do I get past this issue and re-gain the ...
3
votes
2answers
317 views

how can I change what the command “apt-get update” looks for when executing the update?

Forgive my incompetence I am still new to GNU/Linux. I use Debian wheezy. When I type apt-get update I get this at the end W: Failed to fetch ...
-1
votes
1answer
59 views

Unable to install new package on debian armhf

I got a debian 7.4 armhf that have been running for month without any problems. A few days ago I made some updates, and after that it seams that my dpkg doesn't work correctly any more. When I try to ...
1
vote
2answers
148 views

apt-get error: trying to overwrite shared 'filename', which is different from other instances of package 'package'

I tried installing several Ubuntu packages on Debian Wheezy, but it failed and now I have broken packages. The problem is, running apt-get -f install fails as well, with this error: Preparing to ...
1
vote
1answer
168 views

error while install a package

I have a problem when I want to install python-pycurl package: root@edx:/var/tmp/configuration-master/playbooks# apt-get install python-pycurl Reading package lists... Done Building dependency tree ...
0
votes
2answers
7k views

apt-get install openssl doesn't upgrade openssl [closed]

re heartbleed, I'm trying to upgrade openssl, WITHOUT upgrading all packages on my system so I am running apt-get install openssl as shown here, it's implied that doing this should upgrade openssl: ...
1
vote
1answer
381 views

E: python-setuptools upgrade fails, apt-get broken

I wanted to install gnome-maps with apt-get, and then I got this error: Preparing to unpack .../python-setuptools_3.4.1-1_all.deb ... Unpacking python-setuptools (3.4.1-1) over (3.3-1) ... dpkg: ...
1
vote
1answer
637 views

How to mark “not fully installed” apt-get package as “successfully installed”

I have installed Debian 7.4 on my Iomega ix2-200 NAS, following this blog. The ix2-200 is running an ARM Marvel CPU and has a 128 MB NAND flash memory. The flash contains an initramfs image (uInitrd) ...
2
votes
2answers
489 views

apt-get shows important packages as “no longer required”

I recently installed Kali Linux in my system. It came with a preinstalled Iceweasel. However, instead of Iceweasel I wanted to install firefox so I followed this guide and installed firefox ...
0
votes
3answers
69 views

Where Is MySQL installed on My Machine?

What is going on, everybody? Recently I have installed MySQL server on my Debian machine using Advanced Packaging Tool, and I am curious where it is installed and how I can find all the source files ...
2
votes
2answers
110 views

Compare versions of the same package in different repositories (i.e. stable vs backports) using apt-cache show

I'm trying to find out the version of a particular package available in the backports repo to compare it with the version available in the stable repo. But when I give apt-cache show <package> ...